Provide a way to update the version of the Javascript API used by ArcGIS Portal without upgrading Portal

Idea created by tcontreras on Jul 29, 2019
    New
    Score40
    • tofv
    • john.m.dye
    • enavarrete
    • dstockhaus

    As I understand it, the only way to update the version of the Javascript API used by Portal is to upgrade the entire Portal application. In the case of 10.6.1 it includes version 3.24. Maps using this version of the JSAPI do not allow panning or pinch-to-zoom with the latest chrome browser on Android devices. Since this is a Google issue, there is nothing for Esri to do about it. The problem does not exist with version 3.28 of the API, but in order to get our out of the box Portal apps to use that version of the API, I must upgrade to 10.7.1. It would be great for situations like this to install an update package or replace the old directory with a new one.